---
title: "Data modeling overview"
---

# Data modeling overview

Metabase provides tools for organizing your data and making it easier for people to understand.

## [Models](./models.md)

Models curate data from another table or tables from the same database to anticipate the kinds of questions people will ask of the data. You can think of them as derived tables, or a special kind of saved question meant to be used as the starting point for new questions. 

## [Data model admin settings](./metadata-editing.md)

Guide people to the right data by adding display names, hiding outdated tables, configuring filter types, and more.

## [Field types](./field-types.md)

Field types dictate how Metabase displays its data, as well as the column’s special functionality, if any.

## [Setting default formatting for your data](./field-types.md)

Define formatting and display defaults for numbers, currencies, datetimes, and more.

## [Creating segments and metrics](./segments-and-metrics.md)

Admins can define segments to create official filters for your data, and metrics for official aggregations.
