---
title: "Installation and operation overview"
---

# Installation and operation overview

The birth, care, and feeding of your Metabase.

## [Installing Metabase](./installing-metabase.md)

Start here.

### [Running the Jar File](running-the-metabase-jar-file.md)

The simplest and most basic way of running Metabase.

### [Running on Docker](running-metabase-on-docker.md)

If you prefer to use a Docker container, we've got you covered.

### [Metabase Cloud](https://www.metabase.com/pricing)

Our official hosted version, [Metabase Cloud](https://www.metabase.com/pricing). All you need to do is sign up for a free trial, and you're off to the races.

### Other installation options

- [Running on Azure Web Apps](running-metabase-on-azure.md)
- [Running on Debian as a service](running-metabase-on-debian.md)
- [Running on AWS Elastic Beanstalk](running-metabase-on-elastic-beanstalk.md)
  - [Advanced topics for running on AWS Elastic Beanstalk](./advanced-topics-for-running-Metabase-in-AWS-ElasticBeanstalk.md)

## [Building Metabase from source](../developers-guide/start.md)

To run a development branch of Metabase, check out our [developer's guide](../developers-guide/start.md).

## [Backing up Metabase application data](./backing-up-metabase-application-data.md)

How to back up your Metabase data: questions, dashboards, and other application data.

## [Upgrading Metabase](upgrading-metabase.md)

How to safely upgrade your Metabase.

## [Migrating from H2](./migrating-from-h2.md)

If you started using Metabase with the default, H2 application database, here's how to migrate your data to a production-ready database.

## [Creating an RDS database on AWS](./creating-RDS-database-on-AWS.md)

How to use an RDS instance as your application database.

## [Monitoring your metabase](./monitoring-metabase.md)

Monitor your Metabase with JMX.

## [Observability with Prometheus](./observability-with-prometheus.md)

Export Metabase metrics for viewing with Prometheus.

## [Java versions](./java-versions.md)

Some notes on Java versions.

## [Supported browsers](./supported-browsers.md)

Rest in peace, Internet Explorer.

*** 

If you’d like more technical resources to set up your data stack with Metabase, connect with a [Metabase Expert](https://www.metabase.com/partners/).
