---
title: Questions overview
---

# Questions overview

Questions are queries plus their visualization. You can ask questions using Metabase's graphical query builder, or create a native/SQL query.

## Query builder

### [Asking questions](./query-builder/introduction.md)

An introduction to Metabase's graphical query builder.

### [Custom expressions](./query-builder/expressions.md)

Custom expressions, like spreadsheet formulas, are tools you can use in the graphical query builder to ask more complicated questions.

### [List of expressions](./query-builder/expressions.md)

A list of the aggregations and functions available in the graphical query builder.

### [Joining data](./query-builder/join.md)

You can join data to combine your current data with another table, or even with a saved question.

## Native query editor

Also known as the SQL editor (we say native because you can also query databases that don't use SQL, like MongoDB and Google Analytics).

### [Introduction to the native query editor](./native-editor/writing-sql.md)

Write native code (like SQL) to query your data source.

### [SQL templates](./native-editor/sql-parameters.md)

Pass parameters into variables in your SQL templates.

### [SQL snippets](./native-editor/sql-snippets.md)

Reuse and share bits of SQL.

## Sharing results

There are many different ways to share the results of questions. To share the results of a dashboard, see [Dashboard subscriptions](../dashboards/subscriptions.md).

### [Sharing answers](./sharing/answers.md)

Save questions, download results, and share links.

### [Visualizing results](./sharing/visualizing-results.md)

Choose from a variety of visualization types.

### [Alerts](./sharing/alerts.md)

Get results via email or Slack, either on a schedule, or only when something interesting happens.

### [Public sharing](./sharing/public-links.md)

Create links or embeds for the good people of the internet.
