export default [
  {
    relationship: "Mt1",
    origin_id: 13,
    origin: {
      description:
        "The product ID. This is an internal identifier for the product, NOT the SKU.",
      database_type: "INTEGER",
      semantic_type: "type/FK",
      table_id: 2,
      coercion_strategy: null,
      table: {
        description:
          "Confirmed Sample Company orders for a product, from a user.",
        entity_type: "entity/TransactionTable",
        schema: "PUBLIC",
        db: {
          description:
            "Some example data for you to play around with as you embark on your Metabase journey.",
          features: [
            "basic-aggregations",
            "standard-deviation-aggregations",
            "expression-aggregations",
            "foreign-keys",
            "right-join",
            "left-join",
            "native-parameters",
            "nested-queries",
            "expressions",
            "case-sensitivity-string-filter-options",
            "binning",
            "inner-join",
            "advanced-math-expressions",
          ],
          cache_field_values_schedule: "0 0 14 * * ? *",
          timezone: "America/Denver",
          auto_run_queries: true,
          metadata_sync_schedule: "0 27 * * * ? *",
          name: "Sample Database",
          settings: null,
          caveats:
            "You probably don't want to use this for your business-critical analyses, but hey, it's your world, we're just living in it.",
          creator_id: null,
          is_full_sync: true,
          updated_at: "2022-04-11T15:27:00.066",
          cache_ttl: null,
          details: {
            db: "/home/ryan/projects/metabase/resources/sample-database.db;USER=GUEST;PASSWORD=guest",
          },
          is_sample: true,
          id: 1,
          is_on_demand: false,
          options: null,
          engine: "h2",
          initial_sync_status: "complete",
          refingerprint: null,
          created_at: "2022-03-21T12:38:31.423",
          points_of_interest:
            "You can find all sorts of different joinable tables ranging from products to people to reviews here.",
        },
        show_in_getting_started: false,
        name: "ORDERS",
        caveats:
          "You can join this on the Products and Orders table using the ID fields. Discount is left null if not applicable.",
        updated_at: "2022-04-11T15:27:00.068",
        active: true,
        id: 2,
        db_id: 1,
        visibility_type: null,
        field_order: "database",
        initial_sync_status: "complete",
        display_name: "Orders",
        created_at: "2022-03-21T12:38:31.583",
        points_of_interest: "Is it? You tell us!",
      },
      name: "PRODUCT_ID",
      fingerprint_version: 5,
      has_field_values: null,
      settings: null,
      caveats: null,
      fk_target_field_id: 8,
      updated_at: "2022-03-21T12:38:32.996",
      custom_position: 0,
      effective_type: "type/Integer",
      active: true,
      nfc_path: null,
      parent_id: null,
      id: 13,
      last_analyzed: "2022-03-21T12:38:33.85",
      position: 2,
      visibility_type: "normal",
      preview_display: true,
      display_name: "Product ID",
      database_position: 2,
      fingerprint: {
        global: {
          "distinct-count": 200,
          "nil%": 0,
        },
      },
      created_at: "2022-03-21T12:38:31.671",
      base_type: "type/Integer",
      points_of_interest: null,
    },
    destination_id: 8,
    destination: {
      description:
        "The numerical product number. Only used internally. All external communication should use the title or EAN.",
      database_type: "BIGINT",
      semantic_type: "type/PK",
      table_id: 1,
      coercion_strategy: null,
      table: {
        description:
          "Includes a catalog of all the products ever sold by the famed Sample Company.",
        entity_type: "entity/ProductTable",
        schema: "PUBLIC",
        show_in_getting_started: false,
        name: "PRODUCTS",
        caveats:
          "The rating column is an integer from 1-5 where 1 is dreadful and 5 is the best thing ever.",
        updated_at: "2022-04-11T15:27:00.068",
        active: true,
        id: 1,
        db_id: 1,
        visibility_type: null,
        field_order: "database",
        initial_sync_status: "complete",
        display_name: "Products",
        created_at: "2022-03-21T12:38:31.579",
        points_of_interest: "Is it? You tell us!",
      },
      name: "ID",
      fingerprint_version: 0,
      has_field_values: null,
      settings: null,
      caveats: null,
      fk_target_field_id: null,
      updated_at: "2022-03-21T12:38:31.64",
      custom_position: 0,
      effective_type: "type/BigInteger",
      active: true,
      nfc_path: null,
      parent_id: null,
      id: 8,
      last_analyzed: null,
      position: 0,
      visibility_type: "normal",
      preview_display: true,
      display_name: "ID",
      database_position: 0,
      fingerprint: null,
      created_at: "2022-03-21T12:38:31.64",
      base_type: "type/BigInteger",
      points_of_interest: null,
    },
  },
  {
    relationship: "Mt1",
    origin_id: 33,
    origin: {
      description: "The product the review was for",
      database_type: "INTEGER",
      semantic_type: "type/FK",
      table_id: 4,
      coercion_strategy: null,
      table: {
        description:
          "Reviews that Sample Company customers have left on our products.",
        entity_type: "entity/GenericTable",
        schema: "PUBLIC",
        db: {
          description:
            "Some example data for you to play around with as you embark on your Metabase journey.",
          features: [
            "basic-aggregations",
            "standard-deviation-aggregations",
            "expression-aggregations",
            "foreign-keys",
            "right-join",
            "left-join",
            "native-parameters",
            "nested-queries",
            "expressions",
            "case-sensitivity-string-filter-options",
            "binning",
            "inner-join",
            "advanced-math-expressions",
          ],
          cache_field_values_schedule: "0 0 14 * * ? *",
          timezone: "America/Denver",
          auto_run_queries: true,
          metadata_sync_schedule: "0 27 * * * ? *",
          name: "Sample Database",
          settings: null,
          caveats:
            "You probably don't want to use this for your business-critical analyses, but hey, it's your world, we're just living in it.",
          creator_id: null,
          is_full_sync: true,
          updated_at: "2022-04-11T15:27:00.066",
          cache_ttl: null,
          details: {
            db: "/home/ryan/projects/metabase/resources/sample-database.db;USER=GUEST;PASSWORD=guest",
          },
          is_sample: true,
          id: 1,
          is_on_demand: false,
          options: null,
          engine: "h2",
          initial_sync_status: "complete",
          refingerprint: null,
          created_at: "2022-03-21T12:38:31.423",
          points_of_interest:
            "You can find all sorts of different joinable tables ranging from products to people to reviews here.",
        },
        show_in_getting_started: false,
        name: "REVIEWS",
        caveats:
          "These reviews aren't tied to orders so it is possible people have reviewed products they did not purchase from us.",
        updated_at: "2022-04-11T15:27:00.069",
        active: true,
        id: 4,
        db_id: 1,
        visibility_type: null,
        field_order: "database",
        initial_sync_status: "complete",
        display_name: "Reviews",
        created_at: "2022-03-21T12:38:31.589",
        points_of_interest: "Is it? You tell us!",
      },
      name: "PRODUCT_ID",
      fingerprint_version: 5,
      has_field_values: null,
      settings: null,
      caveats: null,
      fk_target_field_id: 8,
      updated_at: "2022-03-21T12:38:33.76",
      custom_position: 0,
      effective_type: "type/Integer",
      active: true,
      nfc_path: null,
      parent_id: null,
      id: 33,
      last_analyzed: "2022-03-21T12:38:33.85",
      position: 1,
      visibility_type: "normal",
      preview_display: true,
      display_name: "Product ID",
      database_position: 1,
      fingerprint: {
        global: {
          "distinct-count": 176,
          "nil%": 0,
        },
      },
      created_at: "2022-03-21T12:38:31.746",
      base_type: "type/Integer",
      points_of_interest: null,
    },
    destination_id: 8,
    destination: {
      description:
        "The numerical product number. Only used internally. All external communication should use the title or EAN.",
      database_type: "BIGINT",
      semantic_type: "type/PK",
      table_id: 1,
      coercion_strategy: null,
      table: {
        description:
          "Includes a catalog of all the products ever sold by the famed Sample Company.",
        entity_type: "entity/ProductTable",
        schema: "PUBLIC",
        show_in_getting_started: false,
        name: "PRODUCTS",
        caveats:
          "The rating column is an integer from 1-5 where 1 is dreadful and 5 is the best thing ever.",
        updated_at: "2022-04-11T15:27:00.068",
        active: true,
        id: 1,
        db_id: 1,
        visibility_type: null,
        field_order: "database",
        initial_sync_status: "complete",
        display_name: "Products",
        created_at: "2022-03-21T12:38:31.579",
        points_of_interest: "Is it? You tell us!",
      },
      name: "ID",
      fingerprint_version: 0,
      has_field_values: null,
      settings: null,
      caveats: null,
      fk_target_field_id: null,
      updated_at: "2022-03-21T12:38:31.64",
      custom_position: 0,
      effective_type: "type/BigInteger",
      active: true,
      nfc_path: null,
      parent_id: null,
      id: 8,
      last_analyzed: null,
      position: 0,
      visibility_type: "normal",
      preview_display: true,
      display_name: "ID",
      database_position: 0,
      fingerprint: null,
      created_at: "2022-03-21T12:38:31.64",
      base_type: "type/BigInteger",
      points_of_interest: null,
    },
  },
];
